<!DOCTYPE html "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="es">
    <head>
        <title>Blog</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    </head>
<body>
	<h2>Blog</h2>
	<hr />
	<?php
	$connect = mysqli_connect("127.0.0.1", "root", "", "blog");

	/* Comprobación de la conexión */
	if ($connect) {
		echo "Fallo en la conexión: ".mysqli_connect_error();
		exit();
	}

	$consulta = "SELECT * FROM contenido order by Date";
	if ($resultado = mysqli_query($connect,$consulta)) {
		fecha_default_timezone_set('Europe/Paris');
		/* fetch la tabla asociada */
		while ($linea = mysqli_fetch_assoc($resultado)) {
			$dt_inicio = fecha_create_from_format('Y-m-d H:i:s', $linea['Date']);
			echo "<h3>".$linea['Titulo']."</h3>";
			echo "<h4>El ".$dt_inicio->format('d/m/Y H:i:s')."</h4>";
			echo "<div style='width:400px'>".$linea['Comentario']."</div>";
			if ($linea['Foto'] = "") {
				echo "<img src='fotos/".$linea['Foto']."' width='200px' height='200px'/>";
			}
			echo "<hr />";
		}
	}
	?>
	<br />
	<a href="formulario_añadir.php" >regreso a la página de inserción</a>
</body>
</html>
